API reference
Get shipping method rates
Get paginated rates for a specific shipping method
GET
/v1/shipping/methods/{id}/ratesGet paginated rates for a specific shipping method
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Opaque cursor from the previous response. Omit it on the first page.
search?string
Free-text filter. Which fields it covers depends on the resource.
sortBy?string
Field to sort by. Accepted values depend on the resource.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
isActive?boolean
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/shipping/methods/string/rates"{ "data": [ { "id": "string", "storeId": "string", "sellerId": null, "shippingMethodId": "string", "type": "flat", "price": null, "currency": "string", "minOrderPrice": null, "maxOrderPrice": null, "postalCodes": [ "string" ], "isActive": true, "description": null, "discountPercentage": null, "zoneCode": null, "minWeight": 0.1, "maxWeight": null, "minValue": 0.1, "maxValue": null, "basePrice": 0.1, "pricePerKg": 0.1, "pricePerUnit": 0.1, "taxIncluded": null, "surcharge": null, "deliveryLocationId": null, "deliveryLocationName": null, "deliveryLeadTimeInMinutes": null, "deliveryMinHours": null, "deliveryMaxHours": null, "metadata": {}, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null } ], "hasNextPage": true, "nextCursor": null, "totalCount": null}